{% extends "base.html.twig" %}
{% block body %}
    <style>
        body {
            padding-top: 50px;
        }
    </style>
    <div class='container-fluid'>
        <div class="col-md-12">
            <h3>Création d'une affaire</h3>
        </div>
        <div class='col-lg-7'>
            <fieldset>
                <legend>Renseignements généraux</legend>
                <div class="col-md-12">
                    <form method="POST" action="{{ base_url}}/affaire_c/creation/" class="form-inline col-md-12" id="form_creation_affaire">
                        <div class='form-group col-md-12'>
                            <label class='col-md-3'>Numéro d'affaire</label>
                            <div class="col-md-9">
                                <input class='col-md-12 form-control' required name="numero" value="{{ num_affaire }}" readonly>
                            </div>
                        </div>
                        <div class='form-group col-md-12'>
                            <label class='col-md-3'>Désignation</label>
                            <div class="col-md-9">
                                <input class='col-md-12 form-control' required name="libelle">
                            </div>
                        </div>
                        <div class='form-group col-md-12'>
                            <label class='col-md-3'>Missions</label>
                            <div class="col-md-9">
                                <input class='col-md-12 form-control' {% if context.user.role != 8 and context.user.role != 10 %}required{% endif %} name="missions">
                            </div>
                        </div>
                        <div class='form-group col-md-12'>
                            <label class='col-md-3'>Chargé d'affaire</label>
                            <div class="col-md-9">
                                <input class='col-md-12 form-control' {% if context.user.role != 8 and context.user.role != 10 %}required{% endif %} id="select_ca"><input  name="ca" type="hidden">
                            </div>
                        </div>
                        <div class='form-group col-md-12'>
                            <label class='col-md-3'>Adresse</label>
                            <div class='col-md-9' style="padding: 0">
                        {% if context.user.role != 8 and context.user.role != 10 %}{% set required= 1 %}{% else %}{% set required = 0 %}{% endif %}
                        {% include 'global/forms/form_adresse.html.twig' with {'adresse': null, 'edit': true, 'required': required } only %}
                    </div>
                </div>
                <div class='form-group col-lg-12 col-md-12 col-sm-12 col-xs-12'>
                    <label class='col-md-3'>Service contentieux</label>
                    <div class="col-md-7">
                        <input readonly id='select_sv' name="nom_service_ctx" class="form-control col-md-12  col-sm-8 col-xs-8" value="{{ affaire.nom_service_contentieux }}"><input type="hidden" id='id_service_ctx' name="id_service_ctx" value="{{ affaire.id_service_contentieux }}">
                    </div>
                    {% if (context.user.role >= 2) %}
                        <div class="col-md-2">
                            <button type="button" class="btn btn-sm btn-primary pull-right select_sv" for="select_sv">Modifier</button>
                        </div>
                    {% endif %}
                </div>
                <div class='form-group col-lg-12 col-md-12 col-sm-12 col-xs-12'>
                    <label class='col-md-3'>Service émetteur</label>
                    <div class="col-md-7">
                        <input readonly id='select_sv_ctx' name="service" class="form-control col-md-12  col-sm-8 col-xs-8" value="{{affaire.nom_service}}"><input type="hidden" id='id_service' name="id_service" value="{{ affaire.id_service }}">
                    </div>
                    {% if not affaire.id_qp_contrat %}
                        <div class="col-md-2">
                            <button type="button" class="btn btn-sm btn-primary pull-right select_sv" for="select_sv_ctx">Modifier</button>
                        </div>
                    {% endif %}
                </div>
        </div>
</div>
<div class='col-lg-5'>
    <fieldset>
        <legend>
            Maîtrise d'oeuvre
        </legend>
        <div class="col-md-12" style="max-height: 650px; overflow-y: auto" id='form_moe'>
        </div>
        <div class="col-md-12">
            <button type="button" class="btn btn-gaia btn-sm pull-right" id="ajout_moe">Ajouter</button>
        </div>
    </fieldset>
    <fieldset>
        <legend>
            Maîtrise d'ouvrage
        </legend>
        <div class="col-md-12" style="max-height: 650px; overflow-y: auto" id='form_mo'>
            <div class=col-md-12><div class='col-md-2 text-right'>Nom MO </div><div class=col-md-10  style='margin-bottom:5px'> <input class='col-md-10 form-control' name='mo_nom'></div></div>
            <div class=col-md-12 style='margin-bottom:20px'><div class='col-md-2 text-right'>Contact </div><div class='col-md-10'><textarea class='col-md-10 form-control' name='mo_contact'></textarea></div>
            </div>
        </div>
    </fieldset>
</div>
<div class="col-md-12">
    <button type="submit" class="btn btn-gaia pull-right" style="margin-top: 5px">Enregistrer</button>
</div>
</div>
</form>
<div class="modal fade" tabindex="-1" role="dialog" id="modal_selection_service">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Sélection d'un service</h4>
            </div>
            <div class="modal-body">
                <p>Sélectionnez le service dans la liste</p>
                <input class="form-control" id='filtrer_services_modal' placeholder="filtrer" style="margin-bottom: 10px">
                <select class="form-control" multiple style="height: 300px">
                    {% for service in services %}
                        <option class='select_service' value='{{ service.id_service }}' nom='{{ service.nom }}'>{{ service.nom }}</option>
                    {% endfor %}

                </select>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<script>
    $(document).ready(function () {
        nb_moe = 0;
        fillCa();
        $('#ajout_moe').click(function () {
            moe();
        });
        moe();
    });

    function fillCa() {
        var url = "{{ajax_url}}/ajax_c/listca";
        $.ajax(url).done(function (data) {
            $('#select_ca').append(data);
        });
    }

    function moe() {
        nb_moe++;
        var form = "\
<div class=col-md-12><div class='col-md-2 text-right'>Nom MOE </div><div class=col-md-10  style='margin-bottom:5px'> <input form='form_creation_affaire' class='col-md-10 form-control' name='moe_nom_" + nb_moe + "'></div></div>\n\
<div class=col-md-12 style='margin-bottom:20px'><div class='col-md-2 text-right'>Contact </div><div class='col-md-10'><textarea form='form_creation_affaire' class='col-md-10 form-control' name='moe_contact_" + nb_moe + "'></textarea></div>";
        $('#form_moe').append(form);
    }
</script>

<script>
    list = [];
    var url = "{{ ajax_url }}/ajax_c/listCaRaw";
    $.ajax(url).done(function (data) {
        var json = JSON.parse(data);
        json.forEach(function (d) {
            var elem = new Object();
            elem.label = d.prenom + " " + d.nom;
            elem.value = d.id_utilisateur;
            list.push(elem);
        });
    });
    $("#select_ca").autocomplete({
        source: list,
        select: function (event, ui) {
            event.preventDefault();
            console.log($(this));
            $(this).val(ui.item.label);
            $(this).next('input').val(ui.item.value);
        }
    });

    $("#select_ca").change(function () {
        if ($(this).val() == "") {
            $(this).next('input').val("");
        }
    });

    let modal_service_for;

    $(".select_sv").click(function () {
        $('#modal_selection_service').modal();
        modal_service_for = $(this).attr("for");
    });

    $('#filtrer_services_modal').keyup(function () {
        let term = $(this).val().toLowerCase();
        $("OPTION.select_service").show();
        $("OPTION.select_service").toArray().forEach(function (elem) {
            if ($(elem).attr("nom").toLowerCase().substr(0, term.length) != term) {
                $(elem).hide();
            }
        });
    });

    $("OPTION.select_service").click(function () {
        let val = $(this).attr("value");
        let nom = $(this).attr("nom");
        console.log(val);
        $('#modal_selection_service').modal("toggle");

        $('#' + modal_service_for).val(nom);
        $('#' + modal_service_for).next("INPUT").val(val);
    });

</script>
{% endblock %}

